Bug 1467692 - credentials not required when adding provider using the REST API
credentials not required when adding provider using the REST API
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Jillian Tullo
Martin Kourim
api:rest:provider
:
: 1467694 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 11:40 EDT by Martin Kourim
Modified: 2018-03-01 08:14 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-01 08:14:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kourim 2017-07-04 11:40:38 EDT
Description of problem:
When adding providers using UI, specifying credentials is required. Using the REST API it's possible to add providers without specifying credentials.

This behavior is documented in <http://manageiq.org/docs/reference/latest/api/appendices/resource_attributes.html#providers>, but it's inconsistent with how providers are added using UI.
Comment 2 Gregg Tanzillo 2017-07-06 10:28:37 EDT
*** Bug 1467694 has been marked as a duplicate of this bug. ***
Comment 3 Jillian Tullo 2017-07-07 14:31:45 EDT
PR: https://github.com/ManageIQ/manageiq/pull/15528
Comment 4 Satoe Imaishi 2017-09-28 15:16:07 EDT
PR: https://github.com/ManageIQ/manageiq-api/pull/16
Comment 7 Martin Kourim 2017-10-23 12:44:58 EDT
It's still possible to add provider without specifying credentials. Having empty "connection_configurations" or "credentials" is enough for the request to succeed.
Comment 8 Jillian Tullo 2017-10-24 11:10:16 EDT
I think that for this part, we may want to create a separate RFE. There are a lot of providers, and specific logic about what should be in the "connection_configurations" or "credentials" should really be done within the provider itself, not within the API controller. Does that work?
Comment 9 Martin Kourim 2017-10-24 11:21:55 EDT
Makes sense, I agree. I'm marking this one as verified then.
Comment 12 errata-xmlrpc 2018-03-01 08:14:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380

Note You need to log in before you can comment on or make changes to this bug.